View Issue Details

IDProjectCategoryView StatusLast Update
0002233ArchBugpublic2016-01-19 02:06
Reportermghansen256Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformKubuntu vividOSOS Version
Product Version0.15 
Target VersionFixed in Version0.16 
Summary0002233: Drawing view of Arch SectionView changes orientation when changing rendering mode
DescriptionWhen an Arch SectionView is on a drawing sheet, its orientation on the sheet changes when the rendering mode is changed from wireframe to solid or vice-versa.
Steps To Reproduce1. Open the architectorial example model from the start page.
2. Go to the drawing page, select one of the two section views on the drawing page via the tree view.
3. Change the property "Rendering Mode" from wireframe to solid or from solid to wireframe -> the orientation of the view of the section on the page changes.
Additional InformationOS: Ubuntu 15.04
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.5371 (Git)
Build type: None
Branch: master
Hash: daa024cc79aaf440fe43fe8b47c060012b2891de
Python version: 2.7.9
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
TagsNo tags attached.

Activities

yorik

2015-08-30 21:14

administrator   ~0006308

Indeed... Must unify that.

yorik

2015-12-23 13:34

administrator   ~0006629

This is now fixed, as far as possible. Sometimes the wireframe view rotates, which is done by opencascade and is unpredictable. For "normal" cases where no rotation occurs (XY projection for ex.) this now works correctly

Related Changesets

FreeCAD: master 474c114e

2015-12-23 14:32:36

yorik

Details Diff
Arch: fixed projection of Drawing views of arch sectionplanes - fixes 0002233 Affected Issues
0002233
mod - src/Mod/Arch/ArchSectionPlane.py Diff File

Issue History

Date Modified Username Field Change
2015-08-30 19:32 mghansen256 New Issue
2015-08-30 21:14 yorik Note Added: 0006308
2015-08-30 21:14 yorik Assigned To => yorik
2015-08-30 21:14 yorik Status new => assigned
2015-12-23 13:33 yorik Changeset attached => FreeCAD Master master 474c114e
2015-12-23 13:33 yorik Status assigned => closed
2015-12-23 13:33 yorik Resolution open => fixed
2015-12-23 13:34 yorik Note Added: 0006629
2016-01-19 02:06 yorik Fixed in Version => 0.16